summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexander Sobolevskiy2016-11-03 14:44:03 +0300
committerAlexander Sobolevskiy2016-11-03 14:44:03 +0300
commit92ba029427d615f18d5bc31bce65e9ae4fe4b28b (patch)
tree785a64affb9d34d1059d8714bf78388fc53944ad
downloadaur-php-stats.tar.gz
Init
-rw-r--r--.SRCINFO14
-rw-r--r--.gitignore4
-rw-r--r--PKGBUILD28
3 files changed, 46 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..6c4cbfeeb44
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = php-stats
+ pkgdesc = PHP extension for Stats
+ pkgver = 2.0.3
+ pkgrel = 1
+ url = http://pecl.php.net/package/stats
+ arch = i686
+ arch = x86_64
+ license = PHP
+ depends = php>=7.0.0
+ source = http://pecl.php.net/get/stats-2.0.3.tgz
+ sha512sums = 68a21296f8892c399d961bc1bba31cb6ebf6e0533fd396fc8527a33aa0b7cc189e718bd22dddbaaaeda183488971f02e87b2d9514085cc2a3d0fc558921a584c
+
+pkgname = php-stats
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..8ebe751bfef
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+*
+!.gitignore
+!PKGBUILD
+!.SRCINFO \ No newline at end of file
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..468ebecf1a1
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Alexander Sobolevkiy <smak.nsk@gmail.com>
+
+pkgname=php-stats
+pkgver=2.0.3
+pkgrel=1
+pkgdesc="PHP extension for Stats"
+license=('PHP')
+arch=('i686' 'x86_64')
+url="http://pecl.php.net/package/stats"
+depends=('php>=7.0.0')
+source=("http://pecl.php.net/get/stats-$pkgver.tgz")
+sha512sums=('68a21296f8892c399d961bc1bba31cb6ebf6e0533fd396fc8527a33aa0b7cc189e718bd22dddbaaaeda183488971f02e87b2d9514085cc2a3d0fc558921a584c')
+
+build() {
+ cd "$srcdir/stats-$pkgver"
+
+ phpize || return 1
+ ./configure --prefix=/usr
+ make || return 1
+}
+
+package() {
+ cd "$srcdir/stats-$pkgver"
+
+ make INSTALL_ROOT="$pkgdir" install
+ echo ';extension=stats.so' > stats.ini
+ install -D -m644 stats.ini "$pkgdir/etc/php/conf.d/stats.ini"
+} \ No newline at end of file